##############################
#                            #
# Ansible / Tower managed on #
#                            #
##############################

port 0
tls-port {{ install_redis__cluster.sentinel_port }}
tls-replication yes
tls-ca-cert-file {{ install_redis.ssl_ca }}
tls-protocols "TLSv1.2 TLSv1.3"

sentinel monitor {{ install_redis__cluster.initial_mastername }} {{ install_redis__cluster.initial_mastername }} {{ install_redis.port }} 2
sentinel down-after-milliseconds {{ install_redis__cluster.initial_mastername }} 5000
sentinel failover-timeout {{ install_redis__cluster.initial_mastername }} 60000
sentinel parallel-syncs {{ install_redis__cluster.initial_mastername }} 1
sentinel auth-pass {{ install_redis__cluster.initial_mastername }} {{ install_redis.requirepass }}
sentinel resolve-hostnames yes
sentinel announce-ip {{ inventory_hostname }}
requirepass {{ install_redis.requirepass }}

tls-cert-file {{ install_redis.ssl_crt }}
tls-key-file {{ install_redis.ssl_key }}
